#!/bin/bash

# Configure/Install all.

export ARG0=$0

POSTINST_DIR=${ARG0%/*}  # Delete trailing file name.
POSTINST_DIR=$( cd $POSTINST_DIR; pwd )
export POSTINST_DIR
pushd $POSTINST_DIR  > /dev/null


if [ "$ID" == "0" ] ; then
    ./uninstall_system_wide_sym_links_non_LSB.sh
fi
./uninstall_locale_files.sh
./uninstall_moz_plugins.sh
./uninstall_gconf_settings.sh
#./uninstall_icon_on_desktop.sh
./uninstall_menu.sh
./uninstall_icon_resource.sh
./unregister_mime_types.sh

if [ "$ID" == "0" ] ; then
    ./remove_path.sh
fi

# platform-specific scripts
if [ `uname` = "SunOS" -a -x $INSTDIR/postinst/solaris_uninst.sh ] ; then
    $INSTDIR/postinst/solaris_uninst.sh $INSTDIR $LOGFILE
fi


popd > /dev/null

